package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.testng.Assert;

public class SubstituicaodePratoPMEPage extends PageBase {
    //Maping
    By ClicarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-menu theme--light']");
    By CampodePesquisa = By.id("menuSearchInput");
    By ClicarSubstituicaoPratos = By.xpath("//a[@id='5209739343783073008332']//div[@class='v-list-item__title']");

    By CampoSelecionarCentral = By.xpath("//input[@id='CENTRAL']");
    By SelecionarCentral = By.xpath("//div[text()='9999 | DEPOSITO BC 129']");
    By CampoSelecionarTipoCard = By.xpath("//input[@id='TIPOCARD']");
    By SelecionarTipoCard = By.xpath("//div[text()='0000000002 - ALMOÇO INFANTIL']");
    By CampoDataInicial = By.xpath("//input[@id='DTDE']");
    By CampoDataFinal = By.xpath("//input[@id='DTATE']");
    By CampoSelecionarPratoPlan = By.xpath("//input[@id='PRATO_ORIGEM']");
    By SelecionarPratoOrigem = By.xpath("//div[@class=\"v-menu__content theme--light menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left zd-dense\"]//div[text()='00.00.00.001 | FEIJOADA SIMPLES']");
    By CampoSelecionarPratoSubst = By.xpath("//div[@class=\"v-menu__content theme--light menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left zd-dense\"]//div[text()='00.00.00.000 | ARROZ TEMPEREADO']");
    By ClicaremConfirmar = By.xpath("//button[@id='confirmar']");
    By CampoSelecionarAgregada = By.xpath("//input[@id='aggregated']");
    By SelecionarAgregada = By.xpath("//div[text()='0003 - DEPOSITO BC 111']");


    // Acctions
    public void AcessarTela() {
        tempo();
        click(ClicarMenu);
        sendKeys(CampodePesquisa, "Substituicao de Pratos");
        tempo();
        click(ClicarSubstituicaoPratos);
    }

    public void PreencherosFiltros(){
        tempo();
        click(CampoSelecionarCentral);
        click(SelecionarCentral);
        click(CampoSelecionarTipoCard);
        click(SelecionarTipoCard);
        sendKeys(CampoDataInicial, "01/01/2025");
        tempo();
        sendKeys(CampoDataFinal, "01/01/2025");
        tempo();
        click(CampoSelecionarPratoPlan);
        click(SelecionarPratoOrigem);
        tempo();
        click(CampoSelecionarPratoSubst);
        tempo();
        click(ClicaremConfirmar);
    }
    public void SubsAgregada(){
        tempo();
        click(CampoSelecionarCentral);
        click(SelecionarCentral);
        click(CampoSelecionarTipoCard);
        click(SelecionarTipoCard);
        sendKeys(CampoDataInicial, "02/01/2025");
        tempo();
        sendKeys(CampoDataFinal, "02/01/2025");
        tempo();
        click(CampoSelecionarPratoPlan);
        click(SelecionarPratoOrigem);
        tempo();
        click(CampoSelecionarPratoSubst);
        tempo();
        click(CampoSelecionarAgregada);
        click(SelecionarAgregada);
        click(ClicaremConfirmar);
    }







}
